<?php
//-----------------------------------------------------------------------//
// 文字列リテラル
//-----------------------------------------------------------------------//
define('VAL_STR_USER_NAME', '登入ID');
define('VAL_STR_PASSWORD', '密碼');
define('VAL_STR_PASSCODE', '密碼');
define('VAL_STR_CONFIRM_PASSCODE', '確認密碼');
define('VAL_STR_EXPIRATION_DATE', '截止日期');
define('VAL_STR_DEPOSIT_METHOD', '帳戶儲值類型');
define('VAL_STR_JA', 'ja');
define('VAL_STR_UPLOAD_FILE', '上傳文件');
define('VAL_STR_USER_ACCOUNT', '帳戶號碼');
define('VAL_STR_USER_ACCOUNT_NAME', '帳戶名稱');
define('VAL_STR_AMOUNT', '金額');
define('VAL_STR_ACCOUNT_NAME', '帳戶名稱');
define('VAL_STR_RECEIPT_COUNTRY', '收款方國家');
define('VAL_STR_RECEIPT_ADDRESS', '收款方地址');
define('VAL_STR_RECEIPT_ADDRESS_1', '收款方地址');
define('VAL_STR_RECEIPT_MESSAGE', '收款方備註');
define('VAL_STR_RECEIPT_BANK_NAME', '收款行');
define('VAL_STR_RECEIPT_BRANCH_NAME', '收款行分行');
define('VAL_STR_RECEIPT_BRANCH_CODE', '分行代碼');
define('VAL_STR_RECEIPT_BANK_SWIFT_CODE', '收款行分行SWIFT');
define('VAL_STR_RECEIPT_BANK_CODE', 'Bank Code');
define('VAL_STR_RECEIPT_BANK_COUNTRY', '收款行國家');
define('VAL_STR_RECEIPT_BANK_ADDRESS', '收款行地址');
define('VAL_STR_RECEIPT_BANK_ADDRESS_1', '收款行地址');
define('VAL_STR_RECEIPT_BANK_ACCOUNT_NUMBER', '收款帳號');
define('VAL_STR_RECEIPT_BANK_ACCOUNT_NAME', '收款帳號');
define('VAL_STR_INTERMEDIARY_BANK_NAME', '中轉行');
define('VAL_STR_INTERMEDIARY_BANK_SWIFT_CODE', '中轉行SWIFT');
define('VAL_STR_INTERMEDIARY_BANK_COUNTRY', '中轉行所在國');
define('VAL_STR_INTERMEDIARY_BANK_ADDRESS_1', '中轉行地址');
define('VAL_STR_INTERMEDIARY_BANK_MESSAGE', '中轉行備註');
define('VAL_STR_PATTERN_NAME', '模式');
define('VAL_STR_MONTHLY_PERSON_FIX_VALUE', '月維護費（個人）（定額）');
define('VAL_STR_MONTHLY_PERSON_PERCENT_VALUE', '月維護費（個人）（百分比）');
define('VAL_STR_MONTHLY_PERSON_PERCENT_MAX', '月維護費（個人）（最高金額）');
define('VAL_STR_MONTHLY_CORP_FIX_VALUE', '月維護費（企業）（定額）');
define('VAL_STR_MONTHLY_CORP_PERCENT_VALUE', '月維護費（企業）（百分比）');
define('VAL_STR_MONTHLY_CORP_PERCENT_MAX', '月維護費（企業）（最高金額）');
define('VAL_STR_DEPOSIT_PERSON_FIX_VALUE', '帳戶儲值（個人）（定額）');
define('VAL_STR_DEPOSIT_PERSON_PERCENT_VALUE', '帳戶儲值（個人）（百分比）');
define('VAL_STR_DEPOSIT_PERSON_PERCENT_MAX', '帳戶儲值（個人）（最高金額）');
define('VAL_STR_DEPOSIT_CORP_FIX_VALUE', '帳戶儲值（企業）（定額）');
define('VAL_STR_DEPOSIT_CORP_PERCENT_VALUE', '帳戶儲值（企業）（百分比）');
define('VAL_STR_DEPOSIT_CORP_PERCENT_MAX', '帳戶儲值（企業）（最高金額）');
define('VAL_STR_WITHDRAW_SUCCESS_PERSON_FIX_VALUE', '余额转出（成功時）（個人）（定額）');
define('VAL_STR_WITHDRAW_SUCCESS_PERSON_PERCENT_VALUE', '餘額轉出（成功時）（個人）（百分比）');
define('VAL_STR_WITHDRAW_SUCCESS_PERSON_PERCENT_MAX', '餘額轉出（成功時）（個人）（最高金額）');
define('VAL_STR_WITHDRAW_SUCCESS_CORP_FIX_VALUE', '餘額轉出（成功時）（企業）（定額）');
define('VAL_STR_WITHDRAW_SUCCESS_CORP_PERCENT_VALUE', '餘額轉出（成功時）（企業）（百分比）');
define('VAL_STR_WITHDRAW_SUCCESS_CORP_PERCENT_MAX', '餘額轉出（成功時）（企業）（最高金額）');
define('VAL_STR_WITHDRAW_REFUND_PERSON_FIX_VALUE', '餘額轉出（失敗時）（個人）（定額）');
define('VAL_STR_WITHDRAW_REFUND_PERSON_PERCENT_VALUE', '餘額轉出（失敗時）（個人）（百分比）');
define('VAL_STR_WITHDRAW_REFUND_PERSON_PERCENT_MAX', '餘額轉出（失敗時）（個人）（最高金額）');
define('VAL_STR_WITHDRAW_REFUND_CORP_FIX_VALUE', '餘額轉出（失敗時）（企業）（定額）');
define('VAL_STR_WITHDRAW_REFUND_CORP_PERCENT_VALUE', '餘額轉出（失敗時）（企業）（百分比）');
define('VAL_STR_WITHDRAW_REFUND_CORP_PERCENT_MAX', '餘額轉出（失敗時）（企業）（最高金額）');
define('VAL_STR_TRANSFER_C_TO_B_FIX_VALUE', '同行轉帳（個人→企業）（定額）');
define('VAL_STR_TRANSFER_C_TO_B_PERCENT_VALUE', '同行轉帳（個人→企業）（百分比）');
define('VAL_STR_C_TO_BSFER_C_TO_B_PERCENT_MAX', '同行轉帳（個人→企業）（最高金額）');
define('VAL_STR_TRANSFER_C_TO_C_FIX_VALUE', '同行轉帳（個人→個人）（定額）');
define('VAL_STR_TRANSFER_C_TO_C_PERCENT_VALUE', '同行轉帳（個人→個人）（百分比）');
define('VAL_STR_TRANSFER_C_TO_C_PERCENT_MAX', '同行轉帳（個人→個人）（最高金額）');
define('VAL_STR_TRANSFER_B_TO_C_FIX_VALUE', '同行轉帳（企業→個人）（定額）');
define('VAL_STR_TRANSFER_B_TO_C_PERCENT_VALUE', '同行轉帳（企業→個人）（百分比）');
define('VAL_STR_TRANSFER_B_TO_C_PERCENT_MAX', '同行轉帳（企業→個人）（最高金額）');
define('VAL_STR_TRANSFER_B_TO_B_FIX_VALUE', '同行轉帳（企業→企業）（定額）');
define('VAL_STR_TRANSFER_B_TO_B_PERCENT_VALUE', '同行轉帳（企業→企業）（百分比）');
define('VAL_STR_TRANSFER_B_TO_B_PERCENT_MAX', '同行轉帳（企業→企業）（最高金額）');
define('VAL_STR_DOMANT_PERSON_FIX_VALUE', '關閉（個人）（定額）');
define('VAL_STR_DOMANT_PERSON_PERCENT_VALUE', '關閉（個人）（百分比）');
define('VAL_STR_DOMANT_PERSON_PERCENT_MAX', '關閉（個人）（最高金額）');
define('VAL_STR_DOMANT_CORP_FIX_VALUE', '關閉（企業）（定額）');
define('VAL_STR_DOMANT_CORP_PERCENT_VALUE', '關閉（企業）（百分比）');
define('VAL_STR_DOMANT_CORP_PERCENT_MAX', '關閉（企業）（最高金額）');
define('VAL_STR_DELETE_PERSON_FIX_VALUE', '註銷（個人）（定額）');
define('VAL_STR_DELETE_PERSON_PERCENT_VALUE', '註銷（個人）（百分比）');
define('VAL_STR_DELETE_PERSON_PERCENT_MAX', '註銷（個人）（最高金額）');
define('VAL_STR_DELETE_CORP_FIX_VALUE', '註銷（企業）（定額）');
define('VAL_STR_DELETE_CORP_PERCENT_VALUE', '註銷（企業）（百分比）');
define('VAL_STR_DELETE_CORP_PERCENT_MAX', '註銷（企業）（最高金額）');
define('VAL_STR_TARGET_ALL', '全部適用');
define('VAL_STR_STATUS_PROC', '處理中');
define('VAL_STR_STATUS_COMP', '處理完畢');
define('VAL_STR_STATUS_REFUND', '拒絕');
define('VAL_STR_LAST_NAME', '姓');
define('VAL_STR_FIRST_NAME', '名');
define('VAL_STR_CEO_LAST_NAME', '法人代表姓名（姓）');
define('VAL_STR_CEO_FIRST_NAME', '法人代表姓名（名）');
define('VAL_STR_STATE', '州/省');
define('VAL_STR_CITY', '市/縣');
define('VAL_STR_PROVINCE', '省');
define('VAL_STR_ADDRESS', '地址');
define('VAL_STR_ZIP_CODE', '郵遞區號');
define('VAL_STR_TEL', '聯繫電話');
define('VAL_STR_EMAIL', '新電子信箱');
define('VAL_STR_EMAIL_RE_ENTER', '再次輸入電子信箱');
define('VAL_STR_BIRTH', '出生日期');
define('VAL_STR_TRANSFER_TO_ACCOUNT', '收款人帳戶');
define('VAL_STR_TRANSFER_FROM_ACCOUNT', '匯款人帳戶');
define('VAL_STR_MESSAGE', '備註');
define('VAL_STR_DEBIT_ACCOUNT', '付款帳戶');
define('VAL_STR_CURRENT_PASSWORD', '當前密碼');
define('VAL_STR_NEW_PASSWORD', '新密碼');
define('VAL_STR_NEW_PASSWORD_RE_ENTER', '再次輸入新密碼');
define('VAL_STR_DATA', '數據');
define('VAL_LOGIN_UNLOCK', '已解除');
define('VAL_LOGIN_LOCK', '凍結中');
define('VAL_STR_CORP_NAME', '法人名');
define('VAL_STR_CORP_COUNTRY', '法人所在國');
define('VAL_STR_CEO_NAME', '法人代表姓名');
define('VAL_STR_SITE_NAME', '網站・服務平臺');
define('VAL_STR_TARGET_COUNTRY', '主要客戶群所在國');
define('VAL_STR_URL', 'URL');
define('VAL_STR_SITE_URL', '網站URL');
define('VAL_STR_MANAGER_NAME', '負責人姓名');
define('VAL_STR_MANAGER_EMAIL', '負責人郵箱地址');
define('VAL_STR_MANAGER_TEL', '負責人電話');
define('VAL_STR_NAME_CORP', '公司名稱');
define('VAL_STR_RESPONSIBLE_PARTY_NAME', '連絡人姓名');
define('VAL_STR_TITLE', '標題');
define('VAL_STR_BODY', '內容');
define('VAL_STR_STATUS', '狀態');
define('VAL_STR_CONFIG_CODE', '確認碼');
define('VAL_STR_INPUT_DATA', '輸入資訊');
define('VAL_STR_INQUIRY', '線上提問');
define('VAL_STR_ACCOUNT_TYPE', '帳戶類型');
define('VAL_STR_COUNTRY', '國');
define('VAL_STR_CARD_HOLDER_ID', '持卡人ID');
define('VAL_STR_CARD_DIGIT', '卡號末4位');
define('VAL_STR_CURRENCY', '幣種');
define('VAL_STR_SIGNATURE', '簽名');
define('VAL_STR_P_NUM', '項目代碼');
define('VAL_STR_ORDER_NUMBER', '銀行流水單號');
define('VAL_STR_NOTE', '備註');
define('VAL_STR_WITHDARAW', '餘額轉出');
define('VAL_STR_DEPOSIT', '帳戶儲值');
define('VAL_STR_FEE', '手續費');
define('VAL_STR_CARD_DEPOSIT', '卡儲值');
define('VAL_STR_EXCHANGE', '貨幣兌換');
define('VAL_STR_TRANSFER', '同行轉帳');
define('VAL_STR_REQUEST', '請款');
define('VAL_STR_PERSONAL', '個人');
define('VAL_STR_CORPORATE', '企業');
define('VAL_STR_INVALID', '無效');
define('VAL_STR_TEMPORARY_REGIST', '臨時註冊');
define('VAL_STR_NORMAL', '普通');
define('VAL_STR_UNLIMITED', '高級');
define('VAL_STR_PAUSE', '暫停');
define('VAL_STR_CLOSE', '關閉');
define('VAL_STR_UNAUTHENTICATED', '未認證');
define('VAL_STR_AUTHENTICATED', '已認證');
define('VAL_STR_DENIAL', '未通過');
define('VAL_STR_PROCESSING', '1次審査');
define('VAL_STR_LACK_OF_DOCUMENTS', '最終審査');
define('VAL_STR_IDENTITY', '身份證明文件');
define('VAL_STR_ADDRESS_VERIFICATION', '住址證明文件');
define('VAL_STR_CORPORATE_REGISTRY', '法人營業執照');
define('VAL_STR_CORPORATE_ARTICLES', '組織機構代碼證');
define('VAL_STR_SURVIVING_PROOF', '稅務登記證');
define('VAL_STR_SHAREHOLDERS', '股東名冊');
define('VAL_STR_OTHER_ADD', '其他文件');
define('VAL_STR_APPLY', '申請中');
define('VAL_STR_REMITTANCE_ACCEPTED', '已接受');
define('VAL_STR_REMITTANCE_ALREADY', '已完成');
define('VAL_STR_DEFICIENCIES_CHECKING', '資訊確認中');
define('VAL_STR_REFUND', '退款');
define('VAL_STR_CANCELLATION', '撤銷');
define('VAL_STR_CANCEL', '取消');
define('VAL_STR_REQUESTER', '請求人');
define('VAL_STR_PAYER', '支付方');
define('VAL_STR_APPLIES_BOTH', '雙方適用');
define('VAL_STR_APPLY_TO_LEFT', '左側適用');
define('VAL_STR_APPLY_TO_RIGHT', '右側適用');
define('VAL_STR_NORMAL_WITHDRAW', '普通餘額轉出');
define('VAL_STR_OTHER', '其他');
define('VAL_STR_DATETIME', '時間');
define('VAL_STR_REQUEST_DESTINATION', '被請款人');
define('VAL_STR_APPLY_AMOUNT', '請款金額');
define('VAL_STR_STATE_COMMON', '狀態');
define('VAL_STR_DETAIL', '詳情');
define('VAL_STR_REMOVE', '刪除');
define('VAL_STR_WITHDRAWAL_CLIENT', '請款人');
define('VAL_STR_HIDDEN', '隱藏');
define('VAL_STR_DOWNLOAD', '下載');
define('VAL_STR_MAILADDRESS_RE_ENTER', '再次輸入電子信箱');
define('VAL_STR_FULL_NAME', '姓名');
define('VAL_STR_LOCAL_NAME', '姓名');
define('VAL_STR_MANDATORY', '必填項');
define('VAL_STR_COPR_NAME', '公司名');
define('VAL_STR_SUCCESS', '成功');
define('VAL_STR_FAIL', '失敗');
define('VAL_STR_FAIL_SETTLEMENT_FEE', '交易失敗手續費');
define('VAL_STR_WITHDRAW_FEE', 'ATM提現手續費');
define('VAL_STR_MONTHLY_FEE', '月維護費');
define('VAL_STR_DOMANT_FEE', '休眠帳戶維護費');
define('VAL_STR_SUCCESS_SETTLEMENT_FEE', '交易成功手續費');
define('VAL_STR_CHARGE_CARD', '卡儲值');
define('VAL_STR_USE_CARD', 'POS');
define('VAL_STR_CARD', '卡');
define('VAL_STR_WITHDRAW_ATM', 'ATM提現');
define('VAL_STR_ADJUSTMENT', '匯率調整');
define('VAL_STR_DEBIT_CURRENCY', '餘額轉出幣種');
define('VAL_STR_INTERMEDIARY_BANK_USED', '是否使用中轉行');
define('VAL_STR_INTERMEDIARY_BANK_NOT_USED', '不使用中轉行');
define('VAL_STR_SIPPING_REGISTRY_ADDRESS', '註冊地址');
define('VAL_STR_SIPPING_ANOTHER_ADDRESS', '其他地址');
define('VAL_STR_NOT_PROGRESS', '未申請');
define('VAL_STR_PROGRESSING', '申請中');
define('VAL_STR_PROGRESS_NOT_VERI', '請再次上傳您的KYC檔。');
define('VAL_STR_PROGRESS', '稽核中');
define('VAL_STR_CARD_LIMIT_SMALL', '累計上限USD1,000');
define('VAL_STR_CARD_LIMIT_MIDDLE', '上限USD10,000');
define('VAL_STR_PROGRESS_SUCCESS_SMALL', VAL_STR_CARD_LIMIT_SMALL);
define('VAL_STR_PROGRESS_SUCCESS_MIDDLE', VAL_STR_CARD_LIMIT_MIDDLE);
define('VAL_STR_CARD_LIMIT_WORD', '該功能將在您的身分證明文件（KYC）通過審核後開放。');
define('VAL_STR_CARD_POSSIBLE_RECHARGE', '可儲值');
define('VAL_STR_CARD_NUMBER', '卡號');
define('VAL_STR_UNIT_MAI', '枚');
define('VAL_STR_DEPOSIT_BANK', '銀行轉賬');
define('VAL_STR_DEPOSIT_VISA', 'VISA');
define('VAL_STR_DEPOSIT_MASTERCARD', 'MASTERCARD');
define('VAL_STR_DEPOSIT_INSTANTBANKTRANSFER', '即時銀行轉賬');
define('VAL_DEPOSIT_AMOUNT', '儲值金額');
define('VAL_GPS_DEPOSIT_INVOICE_NAME_VISA', 'GPAYSAFERESELLER');
define('VAL_GPS_DEPOSIT_INVOICE_NAME_MASTER', 'PAYBYGIFTCARD');
define('VAL_GPS_DEPOSIT_INVOICE_NAME_BANK', 'GlobalCollect');
define('VAL_STR_CUSTOMER', '客戶');
define('VAL_WITHDRAW_SUCCESS_RETURN', 'once return success:');
define('VAL_WITHDRAW_FAILED_RETURN', 'once return failed:');
define('VAL_STR_TOKEN', '令牌');

//deposit list
define('VAL_STR_VOUCHER_NAME','Visa via Voucher');
define('VAL_STR_VOUCHER_LOGO','img/visa.png');
define('VAL_STR_VOUCHER_FEE','5.5');
define('VAL_STR_VOUCHER_METHOD','CARDVOUCHER');
define('VAL_STR_CUP_NAME','中國銀聯');
define('VAL_STR_CUP_LOGO','img'.DIRECTORY_SEPARATOR.'CUP_2.png');
define('VAL_STR_CUP_FEE',CUP_FEE);
define('VAL_STR_CUP_TRANSACTIONFEE',CUP_SYMBOL.' '.CUP_TRANSACTION_FEE);
define('VAL_STR_CUP_METHOD',TYPE_CUP);
define('VAL_STR_VSMS_NAME','Mastercard儲值');
define('VAL_STR_VSMS_LOGO','img'.DIRECTORY_SEPARATOR.'Mastercard.png');
define('VAL_STR_VSMS_FEE','6');
define('VAL_STR_VSMS_TRANSACTIONFEE','手續費');
define('VAL_STR_VSMS_METHOD','CARDPAY');
define('VAL_STR_IBT_NAME','國際銀行轉帳');
define('VAL_STR_IBT_LOGO','img'.DIRECTORY_SEPARATOR.'int_bank.png');
define('VAL_STR_IBT_METHOD','IBT');
define('VAL_STR_JRF_NAME','Japan Remit Finance');
define('VAL_STR_JRF_LOGO','img'.DIRECTORY_SEPARATOR.'jrf.png');
define('VAL_STR_JRF_METHOD','JRF');
define('VAL_STR_FLAT3_NAME','Purchase a Voucher');
define('VAL_STR_FLAT3_LOGO','img/Voucher.png');
define('VAL_STR_FLAT3_METHOD','FLAT3');
define('VAL_STR_LBTC_NAME', '中國國內銀行轉帳');
define('VAL_STR_LBTC_METHOD','LBTC');
define('VAL_STR_LBTC_FEE','1.60');
define('VAL_STR_LBTC','本地銀行轉賬（中國）');
define('VAL_ARR_SDPAY_DEPOSIT_REJECT_CODES', array("-1","-10","-11","-12","-13","-14","-15","-16"));
define('VAL_STR_SEPA_NAME', '國際銀行轉帳(SEPA)');
define('VAL_STR_SEPA_LOGO','img/int_bank.png');
define('VAL_STR_SEPA_METHOD','SEPA');
define('VAL_STR_BIT_NAME', '數字貨幣入金方案');
define('VAL_STR_BIT_LOGO','img/bitcoin_3.png');
define('VAL_STR_BIT_METHOD','BIT');
define('VAL_STR_BIT_FEE','3.50');


define('VAR_KYC_STR_SAVE','保留');
define('VAR_KYC_DEFAULT_SELECT','承認済み/否認 / 保留');
define('VAR_KYC_VALIDATE_ERROR','KYC不合格');
define('VAR_KYC_VALIDATE_ADMIT','KYC認證');
define('VAR_KYC_VALIDATE_COMPLETE','帳號KYC稽核完畢');
define('VAR_KYC_VALIDATE_CARD_PROCESSING','卡的KYC文件稽核中');
define('VAR_KYC_VALIDATE_ACCEPT','已發行卡');
define('VAR_KYC_VALIDATE_UNVALIDATE','申請中');
define('VAR_KYC_VALIDATE_CARD_ERROR','卡的KYC不合格');
define('VAR_KYC_VALIDATE_CARD_ADMIT','卡的KYC已通過');

//export headers corporate account
define('VAL_STR_HEADER_ID', 'Id');
define('VAL_STR_HEADER_TRANSACTION_TYPE','交易類型');
define('VAL_STR_HEADER_ACCOUNT_NAME','帳戶名稱');
define('VAL_STR_HEADER_MONEY_IN','帳戶儲值');
define('VAL_STR_HEADER_MONEY_OUT','餘額轉出');
define('VAL_STR_HEADER_SUBMISSION_DATE','申請日期');
define('VAL_STR_HEADER_OPERATION_DATE','處理日期');
define('VAL_STR_HEADER_REF_NO','交易編號');
define('VAL_STR_HEADER_BALANCE','帳戶餘額');


//withdrawal
define('VAL_INT_MINIMUM_WITHDRAW_AMOUNT', 85);

//flat 3 withdrawal
define('VAL_FLOAT_FLAT3_WITHDRAW_FEE', 0.005);

//withdrawal solutions
define('VAL_ARR_MONEYOUT_SOLUTIONS', array("Flat3","SDPay","International","H2P"));

//-----------------------------------------------------------------------//
// 文字コード
//-----------------------------------------------------------------------//
define('CHAR_SET_UTF_8', 'UTF-8');
define('CHAR_SET_SJIS', 'SJIS');
define('CHAR_SET_AUTO', 'auto');

//-----------------------------------------------------------------------//
// 正規表現
//-----------------------------------------------------------------------//
define('PREG_ASCII', '/^[a-zA-Z0-9]+$/');																		// 正規表現（半角英数）
define('PREG_PASSWORD', '/^[a-zA-Z0-9\$%&,-<=>@_~!\(\)\*\+\.\/\:\?\[\]\^\{\|\}]+$/');							// 正規表現（パスワード）
define('PREG_PASSWORD_SECOND_LOWER', '/[a-z]+/');																// 正規表現（最低文字列小文字）
define('PREG_PASSWORD_SECOND_UPPER', '/[a-zA-Z]+/');															// 正規表現（最低文字列大文字）
define('PREG_PASSWORD_SECOND_NUMBER', '/[0-9]+/');																// 正規表現（最低文字列数字）
define('PREG_ALPHABET', '/^[a-zA-Z]+$/');																		// 正規表現（半角英）
define('PREG_ALPHABET_SPACE', '/^[a-zA-Z ]+$/');																// 正規表現（半角英とスペース）
define('PREG_ASCII_STATE_CITY', '/^[a-zA-Z0-9 ,\-]+$/');														// 正規表現（半角英数の都道府県と市区町村用）
// define('PREG_NUMBER', '/^[0-9]+(\.[0-9]*)?/');																// 正規表現（半角数字）
define('PREG_NUMBER', '/^-?\d+(\.\d+)?$/');																		// 正規表現（半角数字）
define('PREG_NUMBER_ZIP_CODE', '/^[a-zA-Z0-9\- ]+$/');															// 正規表現（半角数字郵便番号）
define('PREG_NUMBER_TEL', '/^[0-9\-\+]+$/');																	// 正規表現（半角数字電話番号）
define('PREG_MAIL_ADDRESS', '/^([a-zA-Z0-9])+([a-zA-Z0-9\._\-])*@([a-zA-Z0-9_-])+([a-zA-Z0-9\._-]+)+$/');		// 正規表現（メールアドレス）
define('PREG_ASCII_SPACE', '/^[a-zA-Z0-9 ]+$/');																// 正規表現（半角英数と半角スペース）
define('PREG_ASCII_ADDRESS', '/^[a-zA-Z0-9 ,\/\-#\(\)]+$/');													// 正規表現（住所）
define('PREG_ASCII_WITHDRAW', '/^[a-zA-Z0-9 ,\.-]+$/');															// 正規表現（Withdraw入力用）
define('PREG_ASCII_EXTENSION', '/\.jpg$|\.jpeg$|\.gif$|\.png$|\.pdf$/i');										// 正規表現（KYC書類拡張子）
define('VAL_COPYRIGHT', 'Copyrights &copy; iWallet all rights reserved.');									// コピーライト
define('PREG_NUMBER_CURRENCY', '/^-?\d+(\.\d{1,2})?$/');
define('PREG_INT_NUMBER_ONLY','/^0$|^-?[1-9][0-9]*$/');
define('PREG_NUMBER_CURRENCY_JP', '/^-?\d+?$/');
define('PREG_ASCII_CN', '/^[\x{4e00}-\x{9fa5}]+$/u');

//SDPAY deposit
define('PREG_STRING_CHINESE_ONLY', '/^([\p{Han} ]+)$/u');

$url = '`(?:https?+:(?://(?:(?:[-.0-9_a-z~]|%[0-9a-f][0-9a-f]' .
'|[!$&-,:;=])*+@)?+(?:\[(?:(?:[0-9a-f]{1,4}:){6}(?:' .
'[0-9a-f]{1,4}:[0-9a-f]{1,4}|(?:\d|[1-9]\d|1\d{2}|2' .
'[0-4]\d|25[0-5])\.(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25' .
'[0-5])\.(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5])\.(?' .
':\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5]))|::(?:[0-9a-f' .
']{1,4}:){5}(?:[0-9a-f]{1,4}:[0-9a-f]{1,4}|(?:\d|[1' .
'-9]\d|1\d{2}|2[0-4]\d|25[0-5])\.(?:\d|[1-9]\d|1\d{' .
'2}|2[0-4]\d|25[0-5])\.(?:\d|[1-9]\d|1\d{2}|2[0-4]\\' .
'd|25[0-5])\.(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5])' .
')|(?:[0-9a-f]{1,4})?+::(?:[0-9a-f]{1,4}:){4}(?:[0-' .
'9a-f]{1,4}:[0-9a-f]{1,4}|(?:\d|[1-9]\d|1\d{2}|2[0-' .
'4]\d|25[0-5])\.(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0-' .
'5])\.(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5])\.(?:\d' .
'|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5]))|(?:(?:[0-9a-f]{' .
'1,4}:)?+[0-9a-f]{1,4})?+::(?:[0-9a-f]{1,4}:){3}(?:' .
'[0-9a-f]{1,4}:[0-9a-f]{1,4}|(?:\d|[1-9]\d|1\d{2}|2' .
'[0-4]\d|25[0-5])\.(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25' .
'[0-5])\.(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5])\.(?' .
':\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5]))|(?:(?:[0-9a-' .
'f]{1,4}:){0,2}[0-9a-f]{1,4})?+::(?:[0-9a-f]{1,4}:)' .
'{2}(?:[0-9a-f]{1,4}:[0-9a-f]{1,4}|(?:\d|[1-9]\d|1\\' .
'd{2}|2[0-4]\d|25[0-5])\.(?:\d|[1-9]\d|1\d{2}|2[0-4' .
']\d|25[0-5])\.(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5' .
'])\.(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5]))|(?:(?:' .
'[0-9a-f]{1,4}:){0,3}[0-9a-f]{1,4})?+::[0-9a-f]{1,4' .
'}:(?:[0-9a-f]{1,4}:[0-9a-f]{1,4}|(?:\d|[1-9]\d|1\d' .
'{2}|2[0-4]\d|25[0-5])\.(?:\d|[1-9]\d|1\d{2}|2[0-4]' .
'\d|25[0-5])\.(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5]' .
')\.(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5]))|(?:(?:[' .
'0-9a-f]{1,4}:){0,4}[0-9a-f]{1,4})?+::(?:[0-9a-f]{1' .
',4}:[0-9a-f]{1,4}|(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25' .
'[0-5])\.(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5])\.(?' .
':\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5])\.(?:\d|[1-9]\\' .
'd|1\d{2}|2[0-4]\d|25[0-5]))|(?:(?:[0-9a-f]{1,4}:){' .
'0,5}[0-9a-f]{1,4})?+::[0-9a-f]{1,4}|(?:(?:[0-9a-f]' .
'{1,4}:){0,6}[0-9a-f]{1,4})?+::|v[0-9a-f]++\.[!$&-.' .
'0-;=_a-z~]++)\]|(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0' .
'-5])\.(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5])\.(?:\\' .
'd|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5])\.(?:\d|[1-9]\d|' .
'1\d{2}|2[0-4]\d|25[0-5])|(?:[-.0-9_a-z~]|%[0-9a-f]' .
'[0-9a-f]|[!$&-,;=])*+)(?::\d*+)?+(?:/(?:[-.0-9_a-z' .
'~]|%[0-9a-f][0-9a-f]|[!$&-,:;=@])*+)*+|/(?:(?:[-.0' .
'-9_a-z~]|%[0-9a-f][0-9a-f]|[!$&-,:;=@])++(?:/(?:[-' .
'.0-9_a-z~]|%[0-9a-f][0-9a-f]|[!$&-,:;=@])*+)*+)?+|' .
'(?:[-.0-9_a-z~]|%[0-9a-f][0-9a-f]|[!$&-,:;=@])++(?' .
':/(?:[-.0-9_a-z~]|%[0-9a-f][0-9a-f]|[!$&-,:;=@])*+' .
')*+)?+(?:\?+(?:[-.0-9_a-z~]|%[0-9a-f][0-9a-f]|[!$&' .
'-,/:;=?+@])*+)?+(?:#(?:[-.0-9_a-z~]|%[0-9a-f][0-9a' .
'-f]|[!$&-,/:;=?+@])*+)?+)|(?:&gt;){2}(\d++)`i';

// define('PREG_URL', $url);	// 正規表現（URL）
define('PREG_URL', '/^(https?|ftp)(:\/\/[-_.!~*\'()a-zA-Z0-9;\/?:\@&=+\$,%#]+)$/');	// 正規表現（URL）
//

//-----------------------------------------------------------------------//
// 通貨
//-----------------------------------------------------------------------//
define('JPY', 'JPY');
define('USD', 'USD');
define('EUR', 'EUR');
define('GBP', 'GBP');
define('HKD', 'HKD');
define('SGD', 'SGD');
define('CNY', 'CNY');
define('IDR', 'IDR');
define('PHP', 'PHP');
define('MYR', 'MYR');
define('THB', 'THB');
define('VND', 'VND');
define('PERCENT', 'PERCENT');
define('VAL_ALL', 'ALL');

define('VAL_ARRAY_ALLOWED_WITHDRAWAL_CURRENCY', array(
              'USD' => array('International'),
              'JPY' => array('International', 'Flat3'),
              'EUR' => array('International'),
              'GBP' => array('International'),
              'HKD' => array('International'),
              'SGD' => array('International'),
              'CNY' => array('International'),
              'PHP' => array('International'),
              'IDR' => array('International'),
              'MYR' => array('International'),
              'THB' => array('International'),
              'VND' => array('International'),
));

define('VAL_STR_CLEARSETTLE_NAME', 'Visa Card充值');
define('VAL_STR_CLEARSETTLE_LOGO','img/visa.png');
define('VAL_STR_CLEARSETTLE_METHOD','CLEARSETTLE');
define('VAL_STR_CLEARSETTLE_FEE','5');
define('VAL_STR_CLEARSETTLE_TRANSACTIONFEE',CLEARSETTLE_SYMBOL.' '.CLEARSETTLE_RISK_FEE_EUR);

define('VAL_STR_LBTJ_NAME', 'Local Bank Transfer (Japan)');
define('VAL_STR_LBTJ_LOGO','img/local_bank.png');
define('VAL_STR_LBTJ_METHOD','LBTJ');
define('VAL_STR_LBTJ_FEE','2.3');

//additional status 09-26-18
define('VAL_STR_NORMAL_PAUSE', '休止-標準 (休眠帳戶)');
define('VAL_STR_EXEC_PAUSE', '休止-高級 (休眠帳戶)');

define('VAL_STR_WITHDRAW_LBTC', '轉賬至本地銀行（中國）轉出申請');
define('VAL_STR_WITHDRAW', '餘額轉出');

// HELP2PAY
define('VAL_STR_H2P_NAME','Local Bank Transfer (Southeast Asia)');
define('VAL_STR_H2P_LOGO','img'.DIRECTORY_SEPARATOR.'local_bank.png');
define('VAL_STR_H2P_FEE','2.80');
define('VAL_STR_H2P_TRANSACTIONFEE','手数料');
define('VAL_STR_H2P_METHOD','H2P');

//cryptocoin
define('VAL_STR_CPS_NAME','數字貨幣入金');
// define('VAL_STR_CPS_LOGO','img/cryptocoin.png');
define('VAL_STR_CPS_LOGO','img/bitcoin_3.png');
define('VAL_STR_CPS_METHOD','CPS');
define('VAL_STR_CPS_FEE','2.80');

define('VAL_STR_LBTF3_NAME', 'Local Bank Transfer (Japan)');
define('VAL_STR_LBTF3_LOGO','img/local_bank.png');
define('VAL_STR_LBTF3_METHOD','LBTF3');

define('VAL_STR_JPV_NAME', 'Japan Remittance Voucher');
define('VAL_STR_JPV_LOGO','img/jpv.png');
define('VAL_STR_JPV_METHOD','JPV');

define('VAL_STR_CCDEPOSIT_NAME', 'Credit Card Solution');
define('VAL_STR_CCDEPOSIT_LOGO', 'img/credit-card-deposit-solution.png');
define('VAL_STR_CCDEPOSIT_METHOD', 'CCD');

define('VAL_STR_ZANETAPAY_NAME', '國際銀聯卡(UPI)');
define('VAL_STR_ZANETAPAY_LOGO','img/unionpay_international.svg');
define('VAL_STR_ZANETAPAY_FEE','6');
define('VAL_STR_ZANETAPAY_TRANSACTIONFEE','手續費');
define('VAL_STR_ZANETAPAY_METHOD','UNIONPAY');
?>
